org.keycloak.services.resources.admin

## Class ClientScopeResource

- java.lang.Object
- - org.keycloak.services.resources.admin.ClientScopeResource

-     public class ClientScopeResource
      extends Object

  Base resource class for managing one particular client of a realm.
  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ClientScopeModel` | `clientScope`
    `protected static org.jboss.logging.Logger` | `logger`
    `protected RealmModel` | `realm`
    `protected KeycloakSession` | `session`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientScopeResource(RealmModel realm, AdminPermissionEvaluator auth, ClientScopeModel clientScope, KeycloakSession session, AdminEventBuilder adminEvent)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.ws.rs.core.Response` | `deleteClientScope()` Delete the client scope
    `ClientScopeRepresentation` | `getClientScope()` Get representation of the client scope
    `ProtocolMappersResource` | `getProtocolMappers()`
    `ScopeMappedResource` | `getScopeMappedResource()` Base path for managing the role scope mappings for the client scope
    `javax.ws.rs.core.Response` | `update(ClientScopeRepresentation rep)` Update the client scope

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected static final org.jboss.logging.Logger logger

    - #### realm

          protected RealmModel realm

    - #### clientScope

          protected ClientScopeModel clientScope

    - #### session

          protected KeycloakSession session

  - ### Constructor Detail

    - #### ClientScopeResource

          public ClientScopeResource(RealmModel realm,
                                     AdminPermissionEvaluator auth,
                                     ClientScopeModel clientScope,
                                     KeycloakSession session,
                                     AdminEventBuilder adminEvent)

  - ### Method Detail

    - #### getProtocolMappers

          @Path(value="protocol-mappers")
          public ProtocolMappersResource getProtocolMappers()

    - #### getScopeMappedResource

          @Path(value="scope-mappings")
          public ScopeMappedResource getScopeMappedResource()

      Base path for managing the role scope mappings for the client scope
      Returns:

    - #### update

          @PUT
           @Consumes(value="application/json")
          public javax.ws.rs.core.Response update(ClientScopeRepresentation rep)

      Update the client scope
      Parameters:
        `rep` -
      Returns:

    - #### getClientScope

          @GET
           @Produces(value="application/json")
          public ClientScopeRepresentation getClientScope()

      Get representation of the client scope
      Returns:

    - #### deleteClientScope

          @DELETE
          public javax.ws.rs.core.Response deleteClientScope()

      Delete the client scope

Copyright © 2021 JBoss by Red Hat. All rights reserved.